import request from '@/utils/request'

/**
 * 获取微信公众号文本素材列表
 * @param {*} query type 类型： 1采美，2呵呵商城
 */
export function fetchList(query) {
  return request({
    url: '/wechat/text/list',
    method: 'get',
    params: query
  })
}

/**
 * 根据ID获取微信公众号文本素材
 */
export function getText(id) {
  return request({
    url: '/wechat/text/' + id,
    method: 'get'
  })
}

/**
 * 根据ID更新微信公众号文本素材
 */
export function updateText(id, data) {
  return request({
    url: '/wechat/text/update/' + id,
    method: 'post',
    data: data
  })
}

/**
 * 添加微信公众号文本素材
 */
export function createText(data) {
  return request({
    url: '/wechat/text/create',
    method: 'post',
    data: data
  })
}

/**
 * 根据ID删除微信公众号文本素材
 */
export function deleteText(id) {
  return request({
    url: '/wechat/text/delete/' + id,
    method: 'post'
  })
}
